# $Revision: 1.26 $, $Date: 2012/06/06 23:29:38 $
#
# Conditional build:
%bcond_without	zrtp	# ZRTP (RFC 6189: Media Path Key Agreement for Unicast Secure RTP) support; GPL v3
#
Summary:	RTP/RTCP protocol library
Summary(pl.UTF-8):	Biblioteka obsługująca protokół RTP/RTCP
Name:		ortp
Version:	0.18.0
Release:	2
%if %{with zrtp}
License:	GPL v3+
%else
License:	LGPL v2.1+
%endif
Group:		Libraries
Source0:	http://download.savannah.nongnu.org/releases/linphone/ortp/sources/%{name}-%{version}.tar.gz
# Source0-md5:	098e984f9325d9e2648bfd9863eed501
Patch0:		%{name}-i486.patch
Patch1:		%{name}-libssl-not-required.patch
URL:		http://www.linphone.org/eng/documentation/dev/ortp.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libtool >= 2:2.0
%{?with_zrtp:BuildRequires:	libzrtpcpp-devel >= 2.0.0}
BuildRequires:	openssl-devel
BuildRequires:	srtp-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
ortp is a library for handling RTP protocol (RFC 3550).

%description -l pl.UTF-8
ortp to biblioteka obsługująca protokół RTP (RFC 3550).

%package devel
Summary:	Header files to develop applications using ortp
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji używających ortp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_zrtp:Requires:	libzrtpcpp-devel >= 2.0.0}
Requires:	openssl-devel
Requires:	srtp-devel

%description devel
Header files for the ortp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki ortp.

%package static
Summary:	Static ortp library
Summary(pl.UTF-8):	Statyczna biblioteka ortp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ortp library.

%description static -l pl.UTF-8
Statyczna biblioteka ortp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-strict \
	--enable-ipv6 \
%if "%{_lib}" == "lib64"
	--enable-mode64bit=yes \
%else
	--enable-mode64bit=no \
%endif
	--enable-static \
	%{?with_zrtp:--enable-zrtp}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/ortp

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libortp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libortp.so.8

%files devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_libdir}/libortp.so
%{_libdir}/libortp.la
%{_includedir}/ortp
%{_pkgconfigdir}/ortp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libortp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ortp.spec,v $
Revision 1.26  2012/06/06 23:29:38  blekot
- rel 2 for rebuild

Revision 1.25  2012/01/03 17:58:30  qboosh
- updated to 0.18.0
- removed obsolete Werror patch
- build with srtp and zrtp support by default

Revision 1.24  2011/07/26 11:12:16  arekm
- up to 0.16.5; disable Werror

Revision 1.23  2011/02/06 16:50:40  sparky
- unified %clean section

Revision 1.22  2010/04/11 06:28:31  arekm
- release 3

Revision 1.21  2010/02/22 01:31:46  sparky
- added libssl-not-required patch
- BR/R: openssl-devel
- release 2; STBR

Revision 1.20  2010/01/10 00:28:55  sparky
- BR: doxygen

Revision 1.19  2010/01/09 22:18:57  arekm
- up to 0.16.1

Revision 1.18  2009/05/05 10:50:01  sparky
- rel 2

Revision 1.17  2009/05/03 13:03:00  sparky
- added Werror.patch (unused return value in read())

Revision 1.16  2009/02/27 21:31:26  arekm
- up to 0.15.0

Revision 1.15  2008/11/19 10:22:56  glen
- release 2

Revision 1.14  2008/02/17 21:14:00  qboosh
- added i486 patch (for ancient CPUs lacking rdtsc)
- ghost soname symlink
- LGPL v2.1+
- note: currently mode64 affects HPUX only

Revision 1.13  2008-02-17 19:31:47  arekm
- up to 0.13.1

Revision 1.12  2007/05/16 22:06:56  qboosh
- added sparc patch
- more verbose files
- revised BRs (tests not built so glib2 not used)

Revision 1.11  2007/05/16 21:24:29  glen
- sparc fails to build

Revision 1.10  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.8  2006/10/21 08:57:54  piti
- up to 0.11.0, URL and SOURCE updated

Revision 1.7  2006/03/23 11:40:02  wiget
- don't use strict aliasing

Revision 1.6  2006/03/23 10:41:17  qboosh
- updated to 0.9.1

Revision 1.5  2006/01/06 10:43:16  pawcioos
- updated to 0.8.1

Revision 1.4  2005/05/20 16:22:42  radzio
- update to 0.7.0

Revision 1.3  2005/02/24 19:12:57  qboosh
- use _gtkdocdir

Revision 1.2  2005/02/24 18:55:03  qboosh
- unified install

Revision 1.1  2005/02/23 22:00:42  arekm
- initial pld release
